Subject: Re: bug#32345: 12.1.1; wrong preview position for four-byte utf-8 encoded character (xelatex)

From: jfbu <[email-masked]>
Date: Thu, 2 Aug 2018 13:13:43 +0200

Le 02/08/2018 à 02:42, [email-masked] a écrit :
> \documentclass{article}
> \begin{document}
> Test: $𝒞$
> \end{document}

This already does not compile correctly with xelatex:

Missing character: There is no 𝒞 in font cmmi10!

I obtain partial success with

\documentclass{article}
\usepackage{unicode-math}
\begin{document}

Test: $𝒞$

\end{document}
% Local variables:
% TeX-engine: xetex
% End:

On generating preview (turning preamble caching off, as xelatex is not compatible with preamble caching and OpenType fonts) I see the attached image.

Further the log contains indication something went wrong indeed

l.5 Test: $
            풞$
Preview: Tightpage -32891 -32891 32891 32891
./testpreview.tex:5: Preview: Snippet 1 ended.(456786+9830x428605).

I am doing this with a 12.1+ incorporating recent fixes related to TeXLive 2018 and accented characters in filenames.

Best,

Jean-François